class AuthState {
  const AuthState({
    required this.isAuthenticated,
    this.token,
    this.userRole,
    this.routeId,
  });

  const AuthState.unauthenticated()
      : isAuthenticated = false,
        token = null,
        userRole = null,
        routeId = null;

  const AuthState.authenticated({
    required String token,
    String? userRole,
    String? routeId,
  })  : isAuthenticated = true,
        token = token,
        userRole = userRole,
        routeId = routeId;

  final bool isAuthenticated;
  final String? token;
  final String? userRole;
  final String? routeId;
}
